Page MenuHomePhabricator

Set up test wiki on wmflabs
Closed, ResolvedPublic3 Story Points

Description

The basis for a publicly accessible demo of Wikispeech (player) is a wiki on wmflabs with the extension activated.

  • Request project on WMFlabs
  • The wiki needs to prevent spam edits (by requiring an account to edit) and using captcha for registering.
  • The wiki needs to allow setting languages per page (to try different supported/unsupported languages) -- see T153209.
  • The wiki needs (at least) a documentation page explaining the glyphs, keyboard shortcuts, and a description for how we envision the player to look in the end.
  • Should use the project logo -- see T142564.

See https://lists.wikimedia.org/pipermail/labs-l/2016-November/004777.html

Event Timeline

Lokal_Profil updated the task description. (Show Details)Nov 29 2016, 3:26 PM
Lokal_Profil updated the task description. (Show Details)
Lokal_Profil triaged this task as High priority.Nov 29 2016, 3:33 PM
Lokal_Profil edited projects, added Wikispeech (Sprint 2016-11-30); removed Wikispeech.

Based on need in T151786

Abbe98 added a subscriber: Abbe98.Nov 29 2016, 6:20 PM
Lokal_Profil updated the task description. (Show Details)Jan 19 2017, 9:38 AM
Lokal_Profil set the point value for this task to 1.

Worked on in Wikispeech (Sprint 2016-12-14):

  • Set-up account
  • Set-up wiki
    • locked down editing
  • Import some basic texts

To do in Wikispeech (Sprint 2017-01-25):

  • Documentation pages
  • Remove "send password via e-mail" (since we don't have an e-mail service attached). This applies both to resets and to creating new accounts.
Lokal_Profil changed the point value for this task from 1 to 1.5.Jan 24 2017, 1:11 PM
Lokal_Profil changed the point value for this task from 1.5 to 3.Feb 7 2017, 1:16 PM

Worked on in Wikispeech (Sprint 2017-01-25):

To do in Wikispeech (Sprint 2017-02-08):

  • Add documentation (on wiki). This should happen after all other updates. [Sebastian]
  • Deactivate (or add a note about) the ability to send password over mail (both new account and reset) [André]

Also changed story points to new system

For the e-mail issue a first point of entry would be :mw:Category:Email_variables

I got some errors when I ran vagrant git-update, of the type:

==> Updating composer dependencies in /vagrant/mediawiki ...
[Fri Mar  3 14:50:45 2017] [hphp] [20165:7fea529cd100:0:000001] [] 
Fatal error: unexpected St13runtime_error: locale::facet::_S_create_c_locale name not valid

This seems to be something with locale (there is also a warning about this). To solve this, follow https://github.com/facebook/hhvm/issues/1052#issuecomment-28206770.

Jopparn moved this task from This week to Backlog on the User-LokalProfil board.Mar 6 2017, 11:06 AM
  • Remove "send password via e-mail" (since we don't have an e-mail service attached). This applies both to resets and to creating new accounts.

This has been solved by simply updating the UI messages to say that this is not possible.

Sebastian_Berlin-WMSE closed this task as Resolved.Mar 22 2017, 10:10 AM
Sebastian_Berlin-WMSE updated the task description. (Show Details)

Broke out documentation to T161091: Documentation for demo wiki.

Lokal_Profil moved this task from Watching to Done on the User-LokalProfil board.Apr 7 2017, 11:42 AM